Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665980 - net-irc/anope: Validate DEPEND on virtual/mysql
Summary: net-irc/anope: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:33 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:33:44 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-06 21:02:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d7ed8caabbaac6f9f05805fe381b31d2cba095b

commit 4d7ed8caabbaac6f9f05805fe381b31d2cba095b
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-06 20:59:24 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-06 20:59:24 +0000

    net-irc/anope: Drop old
    
    Non-maintainer commit
    
    Closes: https://bugs.gentoo.org/632430
    Closes: https://bugs.gentoo.org/665980
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 net-irc/anope/Manifest                             |   1 -
 net-irc/anope/anope-1.8.7-r2.ebuild                | 119 ---------------------
 net-irc/anope/files/anope-1.8.7-ldflags-fix.patch  |  47 --------
 .../anope/files/anope-1.8.7-libdir-gentoo.patch    |  91 ----------------
 net-irc/anope/files/anope-1.8.7-mariadb.patch      | 109 -------------------
 net-irc/anope/files/anope-conf.d                   |   8 --
 net-irc/anope/files/pid-patch.diff                 |  11 --
 7 files changed, 386 deletions(-)